package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF0B6 extends MwfRequest<MWF0B6, MWF0B6Response> {

    @Parameter(name = "CpiType")
    MWF0B6 cpiType(String cpiType);
    @Parameter(name = "Fixation")
    MWF0B6 fixation(Long fixation);
    @Parameter(name = "FreeResources")
    MWF0B6 freeResources(Double freeResources);
    @Parameter(name = "InterestType")
    MWF0B6 interestType(String interestType);
    @Parameter(name = "LoanAmount")
    MWF0B6 loanAmount(Long loanAmount);
    @Parameter(name = "Maturity")
    MWF0B6 maturity(Long maturity);
    @Parameter(name = "MonthlyResources")
    MWF0B6 monthlyResources(Double monthlyResources);
    @Parameter(name = "OffsetType")
    MWF0B6 offsetType(String offsetType);
    @Parameter(name = "RealtyAmount")
    MWF0B6 realtyAmount(Long realtyAmount);
    @Parameter(name = "YearResources")
    MWF0B6 yearResources(Double yearResources);
}
